apt-get出问题了,不知道怎么解决。

为当前最终发行版之前的所有版本提供支持
回复
bigcat00
帖子: 21
注册时间: 2007-03-22 14:17
送出感谢: 0
接收感谢: 0

apt-get出问题了,不知道怎么解决。

#1

帖子 bigcat00 » 2007-04-30 18:14

apt-get update,结果如下:

代码: 全选

……(前面的省略掉)
获取:104 http://archive.ubuntu.com edgy-proposed/multiverse Packages [3084B]  
下载 20.1MB,耗时 9m49s (34.1kB/s)                                             
无法下载 cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025.1)]/dists/edgy/main/binary-i386/Packages.gz  请使用 apt-cdrom,通过它就可以让 APT 能识别该光盘。apt-get upgdate 不能被用来加入新的光盘。
无法下载 cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025.1)]/dists/edgy/restricted/binary-i386/Packages.gz  请使用 apt-cdrom,通过它就可以让 APT 能识别该光盘。apt-get upgdate 不能被用来加入新的光盘。
无法下载 http://cn.archive.ubuntu.com/ubuntu/dists/edgy-updates/main/binary-i386/Packages.gz  子进程 gzip 返回了一个错误号 (1)
正在读取软件包列表... 有错误!
E: Problem parsing dependency Depends
E: 处理 bmp-wma (NewVersion1)时出错
E: Problem with MergeList /var/lib/apt/lists/ubuntu.cn99.com_ubuntu-cn_dists_edgy_main_binary-i386_Packages
E: 无法解析或打开软件包的列表或是状态文件。
我已经把/var/lib/apt/lists/*Packages文件删了几遍了,然后重新apt-get update,每次都是这个错误,导致apt-get的所有操作都无法使用。
source.list文件如下:

代码: 全选

# 
# deb cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025.1)]/ edgy main restricted


deb cdrom:[Ubuntu 6.10 _Edgy Eft_ - Release i386 (20061025.1)]/ edgy main restricted

deb http://cn.archive.ubuntu.com/ubuntu/ edgy main restricted
deb-src http://cn.archive.ubuntu.com/ubuntu/ edgy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://cn.archive.ubuntu.com/ubuntu/ edgy-updates main restricted
deb-src http://cn.archive.ubuntu.com/ubuntu/ edgy-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
 deb http://cn.archive.ubuntu.com/ubuntu/ edgy universe
 deb-src http://cn.archive.ubuntu.com/ubuntu/ edgy universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
 deb http://cn.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
 deb-src http://cn.archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse


#deb http://security.ubuntu.com/ubuntu edgy-security main restricted
#deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted
# deb http://security.ubuntu.com/ubuntu edgy-security universe
# deb-src http://security.ubuntu.com/ubuntu edgy-security universe

deb http://archive.ubuntu.com/ubuntu/ edgy main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ edgy-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ edgy-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ edgy-backports main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ edgy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ edgy main restricted universe multiverse

deb http://ubuntu.cn99.com/ubuntu/ edgy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ edgy-proposed main restricted universe multiverse
#deb http://ubuntu.cn99.com/ubuntu-cn/ edgy main restricted universe multiverse

deb http://mirror.lupaworld.com/ubuntu/archive/ edgy main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ edgy-security main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ edgy-updates main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ edgy-backports main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/archive/ edgy-proposed main restricted universe multiverse
deb http://mirror.lupaworld.com/ubuntu/ubuntu-cn/ edgy main restricted universe multiverse

有解决的办法么?
zwkuang
帖子: 252
注册时间: 2007-03-12 19:14
来自: 天各一方
送出感谢: 0
接收感谢: 0

#2

帖子 zwkuang » 2007-04-30 18:17

还是先看看置顶吧!
bigcat00
帖子: 21
注册时间: 2007-03-22 14:17
送出感谢: 0
接收感谢: 0

#3

帖子 bigcat00 » 2007-04-30 19:40

谢谢楼上的!!!
还有一个问题,apt-get update过程中出这个问题(经常),是怎么回事?:

代码: 全选

获取:30 http://archive.ubuntu.com edgy-security/universe Packages [47.7kB]    
88% [30 Packages gzip 0] [19 Packages 2933662/3559kB 82%]            248kB/s 2s
gzip: stdin: not in gzip format
错误 http://archive.ubuntu.com edgy-security/universe Packages                 
  子进程 gzip 返回了一个错误号 (1)

代码: 全选

获取:47 http://ubuntu.cn99.com edgy-proposed/multiverse Packages [3084B]      
下载 5280kB,耗时 38s (138kB/s)                                                
无法下载 http://cn.archive.ubuntu.com/ubuntu/dists/edgy-updates/main/binary-i386/Packages.gz  子进程 gzip 返回了一个错误号 (1)
无法下载 http://cn.archive.ubuntu.com/ubuntu/dists/edgy-backports/main/binary-i386/Packages.gz  子进程 gzip 返回了一个错误号 (1)
无法下载 http://archive.ubuntu.com/ubuntu/dists/edgy-security/universe/binary-i386/Packages.gz  子进程 gzip 返回了一个错误号 (1)
正在读取软件包列表... 完成
E: 有一些索引文件不能下载,它们可能被忽略了,也可能转而使用了旧的索引文件。
回复

回到 “老旧版本支持”